{
  "multipart": [
    {
      "apply": [
        {"model": "terrainslabs:block/grass_slab_bottom"}
      ],
      "when": {"AND":[{"type": "bottom"},{"snowy": "false"}]}
    },
    {
      "apply": [
        {"model": "block/grass_block_sides", "yoffset": -8}
      ],
      "when": {"AND":[{"type": "bottom"},{"snowy": "false"}]}
    },
    {
      "apply": [
        {  "model": "block/grass_block_ext", "yoffset": -8},
        {  "model": "block/grass_block_ext", "y": 90, "yoffset": -8 },
        {  "model": "block/grass_block_ext", "y": 180, "yoffset": -8 },
        {  "model": "block/grass_block_ext", "y": 270, "yoffset": -8 },
        {  "model": "block/grass_block_ext2", "yoffset": -8},
        {  "model": "block/grass_block_ext2", "y": 90, "yoffset": -8 },
        {  "model": "block/grass_block_ext2", "y": 180, "yoffset": -8},
        {  "model": "block/grass_block_ext2", "y": 270, "yoffset": -8}
      ],
      "when": {"AND":[{"type": "bottom"},{"snowy": "false"}]}
    }, 
    {
      "apply": [
        {"model": "terrainslabs:block/grass_slab_top"}
      ],
      "when": {"AND":[{"type": "top"},{"snowy": "false"}]}
    },
    {
      "apply": [
        {"model": "block/grass_block_sides"}
      ],
      "when": {"AND":[{"type": "top"},{"snowy": "false"}]}
    },
    {
      "apply": [
        {  "model": "block/grass_block_ext"},
        {  "model": "block/grass_block_ext", "y": 90 },
        {  "model": "block/grass_block_ext", "y": 180 },
        {  "model": "block/grass_block_ext", "y": 270 },
        {  "model": "block/grass_block_ext2"},
        {  "model": "block/grass_block_ext2", "y": 90 },
        {  "model": "block/grass_block_ext2", "y": 180},
        {  "model": "block/grass_block_ext2", "y": 270}
      ],
      "when": {"AND":[{"type": "top"},{"snowy": "false"}]}
    },
    {
      "apply": [
        {"model": "block/grass_block"}
      ],
      "when": {"AND":[{"type": "double"},{"snowy": "false"}]}
    },
    {
      "apply": [
        {"model": "block/grass_block_sides"}
      ],
      "when": {"AND":[{"type": "double"},{"snowy": "false"}]}
    },
    {
      "apply": [
        {  "model": "block/grass_block_ext"},
        {  "model": "block/grass_block_ext", "y": 90 },
        {  "model": "block/grass_block_ext", "y": 180 },
        {  "model": "block/grass_block_ext", "y": 270 },
        {  "model": "block/grass_block_ext2"},
        {  "model": "block/grass_block_ext2", "y": 90 },
        {  "model": "block/grass_block_ext2", "y": 180},
        {  "model": "block/grass_block_ext2", "y": 270}
      ],
      "when": {"AND":[{"type": "double"},{"snowy": "false"}]}
    },
    {
      "apply": [
        {"model": "terrainslabs:block/grass_slab_snow_bottom"}
      ],
      "when": {"AND":[{"type": "bottom"},{"snowy": "true"}]}
    },
    {
      "apply": [
        {"model": "terrainslabs:block/grass_slab_snow_top"}
      ],
      "when": {"AND":[{"type": "top"},{"snowy": "true"}]}
    },
    {
      "apply": [
        {"model": "block/grass_block_snow"}
      ],
      "when": {"AND":[{"type": "double"},{"snowy": "true"}]}
    }
  ]
}